package com.unissoft;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.openfeign.EnableFeignClients;

/**
 * 文件描述
 *
 * @author tongxi.xia
 * @date 2020年11月17日 15:04
 */
@SpringBootApplication
@EnableFeignClients
@EnableDiscoveryClient//注册中心能够发现，扫描到改服务;不同点：@EnableEurekaClient只适用于Eureka作为注册中心，@EnableDiscoveryClient 可以是其他注册中心
public class GatewayStart {
    public static void main(String[] args) {
        SpringApplication.run(GatewayStart.class, args);
    }
}
