package com.unissoft.constant;

import org.springframework.core.Ordered;

import static org.springframework.cloud.gateway.filter.NettyWriteResponseFilter.WRITE_RESPONSE_FILTER_ORDER;

/**
 * 文件描述
 *
 * @author tongxi.xia
 * @date 2021年01月19日 10:04
 */
public interface OrderedConstant extends Ordered {

    /**
     * 日志记录
     */
    int LOGGING_FILTER = WRITE_RESPONSE_FILTER_ORDER - 1;

    /**
     * request
     */
    int REQUEST_FILTER = HIGHEST_PRECEDENCE;

}

